<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net" />
    <section name="nhibernate_store" type="System.Configuration.NameValueSectionHandler, System, Version=1.0.5000.0,Culture=neutral,PublicKeyToken=b77a5c561934e089" />
  </configSections>
  <log4net>
    <!-- Define some output appenders -->
    <appender name="rollingFile" type="log4net.Appender.RollingFileAppender,log4net">
      <filter type="log4net.Filter.LoggerMatchFilter">
        <LoggerToMatch value="NHibernate" />
        <AcceptOnMatch value="false" />
      </filter>
      <param name="File" value="..\\..\\log\\NHTest.txt" />
      <param name="AppendToFile" value="true" />
      <param name="RollingStyle" value="Date" />
      <param name="DatePattern" value="yyyy.MM.dd" />
      <param name="StaticLogFileName" value="true" />
      <layout type="log4net.Layout.PatternLayout,log4net">
        <param name="ConversionPattern" value="%d [%t] %-5p %c [%x] &lt;%X{auth}&gt; - %m%n" />
      </layout>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>
    <!-- Setup the root category, add the appenders and set the default priority -->
    <root>
      <priority value="ALL" />
      <level value="INFO" />
      <appender-ref ref="rollingFile" />
      <appender-ref ref="ConsoleAppender" />
    </root>
  </log4net>
  <appSettings>
    <add key="project" value="DAL" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="tempDir" value="D:\temp" />
    <add key="tempDirDelete" value="false" />
  </appSettings>
  <connectionStrings>
    <add name="Con" connectionString="Server=INVALID;initial catalog=Shares;user id=sa;password=" providerName="System.Data.SqlClient" />
    <!--add name="Con" connectionString="Data Source=VOLATILE\SA;Integrated Security=SSPI;initial catalog=ds112" providerName="System.Data.SqlClient"/-->
  </connectionStrings>
  <nhibernate_store>
    <add key="hibernate.show_sql" value="False" />
    <add key="hibernate.connection.provider" value="NHibernate.Connection.DriverConnectionProvider" />
    <add key="hibernate.dialect" value="NHibernate.Dialect.MsSql2000Dialect" />
    <add key="hibernate.connection.driver_class" value="NHibernate.Driver.SqlClientDriver" />
    <add key="hibernate.connection.connection_string" value="Server=INVALID;initial catalog=Shares;user id=sa;password=" />
  </nhibernate_store>
</configuration>